% Fit SC points to a plane

clc
tic;
close all;
clear all;

% load 'SC Coordinates';
load 'SC Coordinates in mm';

OrigDataSC = [SC1 SC2 SC3 SC4 SC5 SC6 SC7 SC8];

[coeff, score] = princomp(OrigDataSC);

[n,p] = size(OrigDataSC);
meanX = mean(OrigDataSC,1);
Xfit = repmat(meanX,n,1) + score(:,1:2)*coeff(:,1:2)';
residuals = OrigDataSC - Xfit;

residualNorm = [];

for i = 1:1:p
    residualNorm = [residualNorm norm(OrigDataSC(:,i) - Xfit(:,i))];
end

totResiduals = [residuals;residualNorm];

toc