function [ RF, p_zx, BpostKAll, x, y, z ] = beamformVolume( path, frame)
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

%Initialization for AMS probe
nCh = 128;              % number of channels
ns = 2000;

D = dir(path);
idx = find([D.isdir]);

RF = zeros(ns,nCh,idx(end)-2);
p_zx = zeros(ns,nCh,idx(end)-2);
BpreAll = zeros(ns,nCh,idx(end)-2);
BpostKAll = zeros(ns,nCh,idx(end)-2);

for i = 3:1:idx(end)
    folder = D(i).name;
    filePath = [path,folder,'\'];
    
    [RF(:,:,i-2) p_zx(:,:,i-2) BpreAll(:,:,i-2) BpostKAll(:,:,i-2) x y z] = beamformImage(filePath, frame);
    
    i-2
end

end