scaleX = 0.3;
scaleY = 0.0385;
stepsize = 0.692;
figures = 1;
% clipThresh = [500 120 320 700 500 200 150];
n = 7;

figure;
for i = 1:1:n
    
    surfPoints = [];
    surfPointsPre = [];
    surfPointsPost = [];

    clipVolThresh(:,:,:,i) = clip(clipVolume(:,:,:,i),clipThresh(i));
    
    surfPoints = drawRegionSurface(meanClipImagesFinal(:,:,i), clipVolThresh(:,:,:,i), 0);
    
    surfPointsPre = [surfPoints(2,:)*scaleX; surfPoints(1,:)*scaleY; surfPoints(3,:)];
    
    for j = 1:1:size(surfPointsPre,2)
        surfPointsPost(:,j) = Conv2DTo3DProbe(surfPointsPre(1:2,j), surfPoints(3,j), stepsize);
    end
    
    idList = find(surfPointsPost(2,:) > 81);
    surfPointsPost = surfPointsPost(:,idList);
    
    %figure;
    if (figures == 1)
        plot3(surfPointsPost(1,:),surfPointsPost(2,:),surfPointsPost(3,:),'.');
        hold on;
        plot3(points3DPost(1,i),points3DPost(2,i),points3DPost(3,i),'*r');
    end
end