function [ pointList ] = getUSRepresentation2D( image, sampling )
%GETUSREPRESENTATION2D Summary of this function goes here
%   Detailed explanation goes here

[axial, lateral] = size(image);

tempListA1 = zeros(axial/sampling(1)+1,2);
tempListA2 = zeros(axial/sampling(1)+1,2);
tempListL1 = zeros(lateral/sampling(2)+1,2);
tempListL2 = zeros(lateral/sampling(2)+1,2);

for i = 0:1:axial/sampling(1)
    tempListA1(i+1,:) = [sampling(1)*i 0];
    tempListA2(i+1,:) = [sampling(1)*i lateral];
end

for i = 0:1:lateral/sampling(2)
    tempListL1(i+1,:) = [0 sampling(2)*i];
    tempListL2(i+1,:) = [axial sampling(2)*i];
end

pointList = [tempListA1; tempListA2; tempListL1; tempListL2];

end

