function [ points, plotImage ] = spotFind( imageF, image, shift, option, figures )
%SPOTFIND0 - Cent, 1 - WtCent, 2 - Ellip, 3 - Max, 4 - Rect

plotImage = imageF;

switch option
    case 0,
        points = spotFindCentroid(imageF, 0 );
    case 1,
        points = spotFindCentroid(imageF, 1 );
    case 2,
        points = spotFindEllipse(imageF, figures);
    case 3,
        points = spotFindMax(imageF );
    case 4,
        points = spotFindRect(imageF, figures);
    case 5,
        [ points, plotImage ] = spotFindEllipseAll(imageF, image, shift, figures);       
    case 6;
        [ points, plotImage ] = spotFindRectAll(imageF, image, figures);
end

end

