function [ points ] = spotFindEllipse( image, figures )
%SPOTFINDELLIPSE Summary of this function goes here
%   Detailed explanation goes here

bwImage = im2bw(image,0);

stats = regionprops(bwImage,'all');

points = stats.Centroid';
orientationRad = - degtorad(stats.Orientation);

if (figures == 1)
    ellipse(stats.MajorAxisLength/2,stats.MinorAxisLength/2,orientationRad,points(1),points(2),'w');
end

end

