% Metrics ignoring 2 outliers

clc
tic;
close all;
clear all;

% load 'SC Coordinates';
load 'SC Coordinates in mm';
load 'US Coordinates and Bpost Images';

OrigDataSC = [SC1 SC2 SC3 SC4 SC5 SC6 SC7 SC8];
OrigDataUS = [UScoor1 UScoor2 UScoor3 UScoor4 UScoor5 UScoor6 UScoor7 UScoor8];
OrigDataIndex = [1 2 3 4 5 6 7 8];

Error_Matrix_X = [];
Error_Matrix_Y = [];
Error_Matrix_Z = [];
Error_Matrix_Full=[];
Mean_Error_X = [];
Mean_Error_Y = [];
Mean_Error_Z = [];
STD_X = [];
STD_Y = [];
STD_Z = [];
Mean_Full = [];
STD_Full = [];
Avg_Dist_Full=[];
Error_Using_Corr=[];
Theoretical_Coordinates_Full=[];
Actual_Coordinates_Full=[];

combos = [];
skip = [];
skipM = [];
testPoint = [];
test = 0;
n = 8;

for i = 1:1:n
    
    for m = i+1:1:n

            dataSC = [];
            dataUS = [];
            dataIndex = [];

            for j = 1:1:n

                if (j ~= i && j ~= m)
                    
                dataSC = [dataSC OrigDataSC(:,j)];
                dataUS = [dataUS OrigDataUS(:,j)];
                dataIndex = [dataIndex OrigDataIndex(:,j)];
                
                end

            end

            chooseN = n-2;
            chooseK = n-3;

            SC_Combinations = combomatrix_AC(dataSC, chooseN, chooseK);
            US_Combinations = combomatrix_AC(dataUS, chooseN, chooseK);
            index_of_vectors = combomatrix_AC(dataIndex, chooseN, chooseK);

            RegPointsSC_All=SC_Combinations(:,1:chooseK);
            TestPointsSC_All=SC_Combinations(:,chooseK+1);
            index_all = index_of_vectors(:,chooseK+1);

            RegPointsUS_All=US_Combinations(:,1:chooseK);
            TestPointsUS_All=US_Combinations(:,chooseK+1);

            for k=1:3:length(RegPointsSC_All(:,1))

                skip = [skip; OrigDataIndex(i) OrigDataIndex(m)];
                testPoint = [testPoint; index_all((k-1)/3 + 1)];

                RegPointsSC_temp=RegPointsSC_All(k:k+2,:);
                TestPointsSC_temp=TestPointsSC_All(k:k+2,:);

                RegPointsUS_temp=RegPointsUS_All(k:k+2,:);
                TestPointsUS_temp=TestPointsUS_All(k:k+2,:);

                [R_temp p_temp] = PointCloudTransform(RegPointsSC_temp,RegPointsUS_temp);

                theoretical_us_point = R_temp*TestPointsSC_temp + p_temp;

                Theoretical_Coordinates_Full=[Theoretical_Coordinates_Full; theoretical_us_point'];

                actual_us_point = [TestPointsUS_temp(1,1) TestPointsUS_temp(2) 0]';
                Actual_Coordinates_Full=[Actual_Coordinates_Full; actual_us_point(1:2,:)'];

                temp_error = theoretical_us_point- actual_us_point;
                Error_Matrix_X = [Error_Matrix_X; temp_error(1)];
                Error_Matrix_Y = [Error_Matrix_Y; temp_error(2)];
                Error_Matrix_Z = [Error_Matrix_Z; temp_error(3)];

                temp_error=norm(theoretical_us_point-actual_us_point);
                Error_Matrix_Full=[Error_Matrix_Full; temp_error];

                Error_Using_Corr=[Error_Using_Corr; temp_error (k+2)/3];
                
            end

            Mean_Error_X = [Mean_Error_X; mean(abs(Error_Matrix_X((n-2)*test+1:(n-2)*(test+1))))];
            Mean_Error_Y = [Mean_Error_Y; mean(abs(Error_Matrix_Y((n-2)*test+1:(n-2)*(test+1))))];
            Mean_Error_Z = [Mean_Error_Z; mean(abs(Error_Matrix_Z((n-2)*test+1:(n-2)*(test+1))))];
            Mean_Full = [Mean_Full; mean(abs(Error_Matrix_Full((n-2)*test+1:(n-2)*(test+1))))];
            STD_X = [STD_X; std(abs(Error_Matrix_X((n-2)*test+1:(n-2)*(test+1))))];
            STD_Y = [STD_Y; std(abs(Error_Matrix_Y((n-2)*test+1:(n-2)*(test+1))))];
            STD_Z = [STD_Z; std(abs(Error_Matrix_Z((n-2)*test+1:(n-2)*(test+1))))];
            STD_Full = [STD_Full; std(abs(Error_Matrix_Full((n-2)*test+1:(n-2)*(test+1))))];
            skipM = [skipM; OrigDataIndex(i) OrigDataIndex(m)];
            
            test = test + 1;
        
    end
    
end

Means = [skipM Mean_Error_X Mean_Error_Y Mean_Error_Z Mean_Full]
STDs = [skipM STD_X STD_Y STD_Z STD_Full]
Full = [skip testPoint Error_Matrix_X Error_Matrix_Y Error_Matrix_Z Error_Matrix_Full]

[minX, i] = min(abs(Error_Matrix_X));
MinX = Full(i,:)
[maxX,i] = max(abs(Error_Matrix_X));
MaxX = Full(i,:)

[minY, i] = min(abs(Error_Matrix_Y));
MinY = Full(i,:)
[maxY,i] = max(abs(Error_Matrix_Y));
MaxY = Full(i,:)

[minZ, i] = min(abs(Error_Matrix_Z));
MinZ = Full(i,:)
[maxZ,i] = max(abs(Error_Matrix_Z));
MaxZ = Full(i,:)

[minF, i] = min(abs(Error_Matrix_Full));
MinFull = Full(i,:)
[maxF,i] = max(abs(Error_Matrix_Full));
MaxFull = Full(i,:)

toc