% Using another estimator for fiducial error while neglecting 2 points

clc
tic;
close all;
% clear all;

% load 'SC Coordinates';
% load 'SC Coordinates in mm';
% load 'US Coordinates and Bpost Images';

% 3092012 Data
load 'SCCoord3092012';
% load 'USCoord3092012Centroid';
% load 'USCoord3092012WtCentroid';
% load 'USCoord3092012Ellipse';
% load 'USCoord3092012Max';
% load 'USCoord3092012Rect';
load 'USCoord3092012EllipseAll';

% OrigDataSC = [SC1 SC2 SC3 SC4 SC5 SC6 SC7 SC8];
% OrigDataUS = [UScoor1 UScoor2 UScoor3 UScoor4 UScoor5 UScoor6 UScoor7 UScoor8];
OrigDataSC = dataSC;
OrigDataUS = dataUS;
OrigDataIndex = [1 2 3 4 5 6 7];

temp_Error_Matrix_X = [];
temp_Error_Matrix_Y = [];
temp_Error_Matrix_Z = [];
temp_Error_Matrix_Full=[];
Error_Matrix_X = [];
Error_Matrix_Y = [];
Error_Matrix_Z = [];
Error_Matrix_Full=[];
Mean_Error_X = [];
Mean_Error_Y = [];
Mean_Error_Z = [];
Mean_Full = [];
STD_X = [];
STD_Y = [];
STD_Z = [];
STD_Full = [];
tempd_X = [];
tempd_Y = [];
tempd_Z = [];
tempd_Full = [];
d_X = [];
d_Y = [];
d_Z = [];
d_Full = [];
meanDX = [];
meanDY = [];
meanDZ = [];
meanDFull = [];
varDX = [];
varDY = [];
varDZ = [];
varDFull = [];
stdDX = [];
stdDY = [];
stdDZ = [];
stdDFull = [];
M = [];
Singular = [];

skip = [];
skipM = [];
test = 1;
n = 7;

for i = 1:1:n
    
    for m = i+1:1:n
        
        dataSC = [];
        dataUS = [];
        dataIndex = [];
        
        for j = 1:1:n
            
            if (j ~= i && j ~= m)
                
                dataSC = [dataSC OrigDataSC(:,j)];
                dataUS = [dataUS OrigDataUS(:,j)];
                dataIndex = [dataIndex OrigDataIndex(:,j)];
                
            end
            
        end
        skipM = [skipM; OrigDataIndex(i) OrigDataIndex(m)];
        
        [R_temp p_temp] = PointCloudTransform(dataSC,dataUS);
        
        for k = 1:1:n-2
            
            calcUS = R_temp*dataSC(:,k) + p_temp;
            temp_error = calcUS - dataUS(:,k);
            
            temp_Error_Matrix_X = [temp_Error_Matrix_X abs(temp_error(1))];
            temp_Error_Matrix_Y = [temp_Error_Matrix_Y abs(temp_error(2))];
            temp_Error_Matrix_Z = [temp_Error_Matrix_Z abs(temp_error(3))];
            temp_Error_Matrix_Full=[temp_Error_Matrix_Full norm(temp_error)];
            
            tempM = [-skew(dataSC(:,k)) eye(3)];
            M = [M;tempM];
            
        end
        
        [U,S,V] = svd(M);
        Singular = [Singular; S(1,1) S(2,2) S(3,3) S(4,4) S(5,5) S(6,6)];
        
        Error_Matrix_X = [Error_Matrix_X; temp_Error_Matrix_X];
        Error_Matrix_Y = [Error_Matrix_Y; temp_Error_Matrix_Y];
        Error_Matrix_Z = [Error_Matrix_Z; temp_Error_Matrix_Z];
        Error_Matrix_Full = [Error_Matrix_Full; temp_Error_Matrix_Full];
        
        temp_Error_Matrix_X = [];
        temp_Error_Matrix_Y = [];
        temp_Error_Matrix_Z = [];
        temp_Error_Matrix_Full=[];
        
        Mean_Error_X = [Mean_Error_X; mean(Error_Matrix_X(test,:))];
        Mean_Error_Y = [Mean_Error_Y; mean(Error_Matrix_Y(test,:))];
        Mean_Error_Z = [Mean_Error_Z; mean(Error_Matrix_Z(test,:))];
        Mean_Full = [Mean_Full; mean(Error_Matrix_Full(test,:))];
        
        for m = 1:1:n-2
            
            tempd_X = [tempd_X (Error_Matrix_X(test,m) - Mean_Error_X(test))];
            tempd_Y = [tempd_Y (Error_Matrix_Y(test,m) - Mean_Error_Y(test))];
            tempd_Z = [tempd_Z (Error_Matrix_Z(test,m) - Mean_Error_Z(test))];
            tempd_Full = [tempd_Full (Error_Matrix_Full(test,m) - Mean_Full(test))];
            
        end
        
        d_X = [d_X;tempd_X];
        d_Y = [d_Y;tempd_Y];
        d_Z = [d_Z;tempd_Z];
        d_Full = [d_Full; tempd_Full];
        
        meanDX = [meanDX; mean(abs(tempd_X))];
        meanDY = [meanDY; mean(abs(tempd_Y))];
        meanDZ = [meanDZ; mean(abs(tempd_Z))];
        meanDFull = [meanDFull; mean(abs(tempd_Full))];
        
        varDX = [varDX; var(abs(tempd_X))];
        varDY = [varDY; var(abs(tempd_Y))];
        varDZ = [varDZ; var(abs(tempd_Z))];
        varDFull = [varDFull; var(abs(tempd_Full))];
        
        stdDX = [stdDX; std(abs(tempd_X))];
        stdDY = [stdDY; std(abs(tempd_Y))];
        stdDZ = [stdDZ; std(abs(tempd_Z))];
        stdDFull = [stdDFull; std(abs(tempd_Full))];
        
        tempd_X = [];
        tempd_Y = [];
        tempd_Z = [];
        tempd_Full = [];
        
        STD_X = [STD_X; std(Error_Matrix_X(test,:))];
        STD_Y = [STD_Y; std(Error_Matrix_Y(test,:))];
        STD_Z = [STD_Z; std(Error_Matrix_Z(test,:))];
        STD_Full = [STD_Full; std(Error_Matrix_Full(test,:))];
        
        
        test = test + 1;
        
    end
    
end

X = [skipM Error_Matrix_X Mean_Error_X STD_X];
Y = [skipM Error_Matrix_Y Mean_Error_Y STD_Y];
Z = [skipM Error_Matrix_Z Mean_Error_Z STD_Z];
Full = [skipM Error_Matrix_Full Mean_Full STD_Full];

DX = [skipM d_X meanDX varDX stdDX];
DY = [skipM d_Y meanDY varDY stdDY];
DZ = [skipM d_Z meanDZ varDZ stdDZ];
DFull = [skipM d_Full meanDFull varDFull stdDFull];

Single = [skipM Singular];

toc