function [ axial ] = findAxial( clipVolume, volNum, lat, ele, clipThresh )
%FINDAXIAL Summary of this function goes here
%   Detailed explanation goes here

testVol = clipVolume(:,:,:,volNum);
clippedTestVol = clip(testVol,clipThresh);

latBound = [floor(lat) ceil(lat)];
eleBound = [floor(ele) ceil(ele)];

func = zeros(2,2);

func(1,1) = getAxialSurf(clippedTestVol(:,:,eleBound(1)),latBound(1));
func(1,2) = getAxialSurf(clippedTestVol(:,:,eleBound(1)),latBound(2));
func(2,1) = getAxialSurf(clippedTestVol(:,:,eleBound(2)),latBound(1));
func(2,2) = getAxialSurf(clippedTestVol(:,:,eleBound(2)),latBound(2));

axial = interp2(func,lat - latBound(1) + 1,ele - eleBound(1) + 1);

end

