function [ totResiduals, Xfit ] = fitPlane( data )
%FITPLANE Summary of this function goes here
%   Detailed explanation goes here

[n,p] = size(data);

if (n > p)
    data = data';
    [n,p] = size(data);
end

[coeff, score] = princomp(data);

meanX = mean(data,1);
Xfit = repmat(meanX,n,1) + score(:,1:2)*coeff(:,1:2)';
residuals = data - Xfit;

residualNorm = zeros(p,1);

for i = 1:1:p
    residualNorm(i) = norm(data(:,i) - Xfit(:,i));
end

totResiduals = [residuals' residualNorm];

end