% folder = 'C:\Users\Alexis\School\PA\CameraSpotsAll\CameraSpots-4-13-2012\';
folder = 'C:\Users\Alexis\School\PA\CameraSpotsAll\CameraSpots-4-20-2012\';

close all;

% 4-13-2012
% pixel = [10 100];
% threshold = 50;
% fraction = 0.3;

% 4-20-2012
pixel = [40 300];
threshold = 50;
fraction = 0.1;

spotFindOption = 5;
figures = 1;

n = 33;

for i = 1:1:5
    
    path = [folder  char(num2str(i)) '\'];
    imPathL = [path 'ImageL.jpg'];
    imPathR = [path 'ImageR.jpg'];
    imPathLB = [path 'ImageLB.jpg'];
    imPathRB = [path 'ImageRB.jpg'];
    
    imL(:,:,:,i) = imread(imPathL);
    imR(:,:,:,i) = imread(imPathR);
    imLB(:,:,:,i) = imread(imPathLB);
    imRB(:,:,:,i) = imread(imPathRB);
    
    [point3DL(:,i) point3DR(:,i) pointL(:,i) pointR(:,i), diffImL(:,:,i), clipImL(:,:,i), redImL(:,:,i), newRedImL(:,:,i), newImL(:,:,:,i), diffImR(:,:,i), clipImR(:,:,i), redImR(:,:,i), newRedImR(:,:,i), newImR(:,:,:,i)] = get3DCameraPoint(imL(:,:,:,i),imLB(:,:,:,i), imR(:,:,:,i), imRB(:,:,:,i), pixel, fraction, spotFindOption, threshold, figures);
    % [point3DL(:,i) point3DR(:,i)] = getCameraPoint(imPathL,imPathR);
end