function [ registration, translation ] = getRegistrations( registration, translation, pointSet1, pointSet2, leave )
%GETREGISTRATIONS Summary of this function goes here
%   Detailed explanation goes here

if (size(pointSet1,1) == 3)
else
    pointSet1 = pointSet1';
end

if (size(pointSet2,1) == 3)
else
    pointSet2 = pointSet2';
end

n = size(pointSet1,2);

if (leave == 0)
    
    if (size(registration,1) == 0)
        numReg = 0;
    else
        numReg = size(registration,3);
    end
    
    [registration(:,:,numReg+1) translation(:,numReg+1)] = PointCloudTransform(pointSet1,pointSet2);
    
else
    for i = 1:1:n
        if (i == 1)
            tempSet1 = pointSet1(:,i+1:n);
            tempSet2 = pointSet2(:,i+1:n);
        elseif (i == n)
            tempSet1 = pointSet1(:,1:i-1);
            tempSet2 = pointSet2(:,1:i-1);
        else
            tempSet1 = [pointSet1(:,1:i-1) pointSet1(:,i+1:n)];
            tempSet2 = [pointSet2(:,1:i-1) pointSet2(:,i+1:n)];
        end
        
        [registration translation] = getRegistrations(registration, translation, tempSet1, tempSet2, leave-1);
    end
end

end