imageL = 'C:\Users\Alexis\School\PA\CameraSpotsAll\CameraSpots-4-28-2012\80\ImageL0.jpg';
imageR = 'C:\Users\Alexis\School\PA\CameraSpotsAll\CameraSpots-4-28-2012\80\ImageR0.jpg';

LaserL = imread(imageL);
LaserR = imread(imageR);

n = 8;

L1 = [];R1 = [];

for i = 1:1:n
    imagesc(LaserL);
    Lpoly = impoly;
    L1 = [L1; wait(Lpoly)];
    
    imagesc(LaserR);
    Rpoly = impoly;
    R1 = [R1; wait(Rpoly)];
end

Lpoint = [];Rpoint = [];

for i = 1:1:n
    vL = L1(i,:);
    vR = R1(i,:);
    
    [Lt Rt] = triangulate(vL,vR);
    
    Lpoint = [Lpoint Lt];
    Rpoint = [Rpoint Rt];
end

dist = [];
for i = 1:1:n-1
    dist = [dist norm(Lpoint(:,i) - Lpoint(:,i+1))];
end

% cc_left_new=[212.7715 460.0431]; % Center of left camera image
% cc_right_new=[917.3233 460.0431]; % Center of right image
% T_new=-168.5713; % Distance between two lenses
% fc_left_new=3117; % Left camera focal length
% fc_right_new=3117;% Right camera focal length
%
% Centered_Left_Coordinates=vL-cc_left_new;
% Centered_Right_Coordinates=vR-cc_right_new;
% Z=(T_new*fc_left_new)/(Centered_Left_Coordinates(1,1)-Centered_Right_Coordinates(1,1));
% X=Centered_Left_Coordinates(1,1)*(Z/fc_left_new);
% Y=Centered_Left_Coordinates(1,2)*(Z/fc_left_new);
%
% result = [X; Y; Z;];

close all;