function [ points ] = spotFindCentroid( image, weighted )
%SPOTFINDCENTROID Summary of this function goes here
%   Detailed explanation goes here

sizeImage = size(image);

weights = image;
if (weighted == 0)
    weights(:,:) = 1;
else
    weights = image/(sum(sum(image)));
end

[index] = find(image > 0);
[i j] = ind2sub([sizeImage(1) sizeImage(2)],index);

pointTotal = [j i]'*weights(index);
numPix = size(i);

if (weighted == 0)
    points = pointTotal / numPix(1);
else
    points = pointTotal;
end

end