function [ points, plotImage ] = spotFindRectAll( imageF, image, figures )
%SPOTFINDRECTALL Summary of this function goes here
%   Detailed explanation goes here

sumIntensity = 0;
points = [0 0];
index = [];

[x y] = boundingBox(imageF);

for i = x(1):1:x(2)
    for j = y(1):1:y(2)
        sumIntensity = sumIntensity + image(i,j);
        points = points + [j*image(i,j) i*image(i,j)];
        index = [index; j i];
    end
end

points = points / sumIntensity;

plotImage = getMaskImage(image, index);

if (figures == 1)
    cornerL(1) = y(1) - 1/2;
    cornerL(2) = x(1) - 1/2;
    rectangle('position',[cornerL(1) cornerL(2) (y(2)-y(1)+1) (x(2)-x(1)+1)], 'EdgeColor','w');
end

end

