function [ L R ] = triangulate( pointL, pointR )
%TRIANGULATE Summary of this function goes here
%   Detailed explanation goes here

if size(pointL,1) > size(pointL,2)
    pointL = pointL';
end
if size(pointR,1) > size(pointR,2)
    pointR = pointR';
end

cc_left_new=[212.7715 460.0431]; % Center of left camera image
cc_right_new=[917.3233 460.0431]; % Center of right image
T_new=-168.5713; % Distance between two lenses
fc_left_new=3117; % Left camera focal length
fc_right_new=3117;% Right camera focal length
% %%%%%%%%%%%%%%ONLY EDIT BELOW THIS%%%%%%%%%%%%Above this is coordinates in
% %%%%%%%%%%%%%%pixel coordinates. The below math does triangulation.
% 
Centered_Left_Coordinates = pointL - cc_left_new;
Centered_Right_Coordinates = pointR - cc_right_new;

Z=(T_new*fc_left_new)/(Centered_Left_Coordinates(1,1)-Centered_Right_Coordinates(1,1));

X_R=Centered_Right_Coordinates(1)*(Z/fc_right_new);

Y_R=Centered_Right_Coordinates(2)*(Z/fc_right_new);

X_L=Centered_Left_Coordinates(1)*(Z/fc_left_new);

Y_L=Centered_Left_Coordinates(2)*(Z/fc_left_new);

R =[X_R; Y_R; Z];
L =[X_L; Y_L; Z];

% load CameraParams.mat;
% 
% [L R] = stereo_triangulation(pointL', pointR', om, T, fc_left, cc_left, kc_left, alpha_c_left, fc_right, cc_right, kc_right, alpha_c_right);

end

